Package icyllis.modernui.graphics.text

# Class FontCollection

java.lang.Object
icyllis.modernui.graphics.text.FontCollection

Direct Known Subclasses:
  `Typeface`

@Internal public class FontCollection extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FontCollection.Run`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `GC_M_MASK`
  `static final int`
  `REPLACEMENT_CHARACTER`
  `static final int`
  `UNSUPPORTED_FONT_SCORE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontCollection(FontFamily... families)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `doesNotNeedFontSupport(int c)`
  `boolean`
  `equals(Object o)`
  `@Unmodifiable List<FontFamily>`
  `getFamilies()`
  `int`
  `hashCode()`
  `static boolean`
  `isCombining(int c)`
  `static boolean`
  `isEmojiBreak(int prevCh, int ch)`
  `static boolean`
  `isStickyWhitelisted(int c)`
  `static boolean`
  `isVariationSelector(int c)`
  `List<FontCollection.Run>`
  `itemize(char[] text, int offset, int limit)`
  Perform the itemization.
  `List<FontCollection.Run>`
  `itemize(char[] text, int offset, int limit, int runLimit)`
  Perform the itemization.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### GC_M_MASK

    public static final int GC_M_MASK

  - ### REPLACEMENT_CHARACTER

    public static final int REPLACEMENT_CHARACTER
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_FONT_SCORE

    public static final int UNSUPPORTED_FONT_SCORE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FontCollection

    public FontCollection(@NonNull FontFamily... families)

- ## Method Details

  - ### doesNotNeedFontSupport

    public static boolean doesNotNeedFontSupport(int c)

  - ### isStickyWhitelisted

    public static boolean isStickyWhitelisted(int c)

  - ### isCombining

    public static boolean isCombining(int c)

  - ### isVariationSelector

    public static boolean isVariationSelector(int c)

  - ### isEmojiBreak

    public static boolean isEmojiBreak(int prevCh, int ch)

  - ### itemize

    @NonNull public List<FontCollection.Run> itemize(@NonNull char[] text, int offset, int limit)
    Perform the itemization.

  - ### itemize

    @NonNull public List<FontCollection.Run> itemize(@NonNull char[] text, int offset, int limit, int runLimit)
    Perform the itemization.

  - ### getFamilies

    @NonNull public @Unmodifiable List<FontFamily> getFamilies()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`